opencv: cv::TermCriteria Class Reference

Public Types | Public Member Functions | Public Attributes

# cv::TermCriteria Class Reference

`#include <core.hpp>`

List of all members.

## Public Types
enum | { COUNT = 1, MAX_ITER = COUNT, EPS = 2 }
## Public Member Functions
| operator CvTermCriteria () const
| conversion from CvTermCriteria
| TermCriteria (int _type, int _maxCount, double _epsilon)
| full constructor
| TermCriteria (const CvTermCriteria &criteria)
| conversion from CvTermCriteria
| TermCriteria ()
| default constructor
## Public Attributes
double | epsilon
int | maxCount
int | type
| the type of termination criteria: COUNT, EPS or COUNT + EPS

## Detailed Description

Termination criteria in iterative algorithms

## Member Enumeration Documentation

anonymous enum

Enumerator:

  COUNT | the maximum number of iterations or elements to compute
  MAX_ITER | ditto
  EPS | the desired accuracy or change in parameters at which the iterative algorithm stops

## Constructor & Destructor Documentation

cv::TermCriteria::TermCriteria | ( | ) | `[inline]`

default constructor

cv::TermCriteria::TermCriteria | ( | int | _type,
|  | int | _maxCount,
|  | double | _epsilon
| ) |  | `[inline]`

full constructor

cv::TermCriteria::TermCriteria | ( | const CvTermCriteria & | criteria ) | `[inline]`

conversion from CvTermCriteria

## Member Function Documentation

cv::TermCriteria::operator CvTermCriteria | ( | ) | const`[inline]`

conversion from CvTermCriteria

## Member Data Documentation

double cv::TermCriteria::epsilon

int cv::TermCriteria::maxCount

int cv::TermCriteria::type

the type of termination criteria: COUNT, EPS or COUNT + EPS

The documentation for this class was generated from the following files:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/core.hpp
- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/core/include/opencv2/core/operations.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines